function c(n, o = !1) {
  const t = n.trim().split(/\s+/);
  let e, a, s, r;
  switch (t.length) {
    case 1:
      [e, a, s, r] = [t[0], t[0], t[0], t[0]];
      break;
    case 2:
      [e, a, s, r] = [t[0], t[1], t[0], t[1]];
      break;
    case 3:
      [e, a, s, r] = [t[0], t[1], t[2], t[1]];
      break;
    case 4:
      [e, a, s, r] = t;
      break;
    default:
      throw new Error("Invalid padding value");
  }
  if (o) {
    const i = (l) => l.match(/^[-+]?\d*\.?\d+/)?.[0] ?? l;
    e = i(e), a = i(a), s = i(s), r = i(r);
  }
  return [e, a, s, r];
}
export {
  c as s
};
